<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>bundles-pom</artifactId>
    <groupId>org.apache.servicemix.bundles</groupId>
    <version>10</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.apache.karaf.bundles</groupId>
  <artifactId>org.apache.karaf.bundles.xerces-2.11.0</artifactId>
  <packaging>bundle</packaging>
  <name>Apache Karaf :: Bundles :: ${pkgArtifactId}</name>
  <version>2.3.0.redhat-60024</version>
  <description>This OSGi bundle wraps ${pkgArtifactId} ${pkgVersion} jar file.</description>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <includes>
                  <include>${pkgGroupId}:${pkgArtifactId}</include>
                </includes>
              </artifactSet>
              <filters>
                <filter>
                  <artifact>${pkgGroupId}:${pkgArtifactId}</artifact>
                  <excludes>
                    <exclude>**</exclude>
                  </excludes>
                </filter>
              </filters>
              <promoteTransitiveDependencies>true</promoteTransitiveDependencies>
              <createDependencyReducedPom>true</createDependencyReducedPom>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <repositories>
    <repository>
      <releases />
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
      <id>servicemix</id>
      <name>Apache ServiceMix Repository</name>
      <url>http://svn.apache.org/repos/asf/servicemix/m2-repo</url>
    </repository>
  </repositories>
  <distributionManagement>
    <repository>
      <id>fusesource-nexus-staging</id>
      <name>FuseSource Release Repository</name>
      <url>http://repo.fusesource.com/nexus/service/local/staging/deploy/maven2</url>
    </repository>
    <snapshotRepository>
      <id>fusesource-nexus-snapshots</id>
      <name>FuseSource Nexus Snapshots</name>
      <url>http://repo.fusesource.com/nexus/content/repositories/snapshots</url>
    </snapshotRepository>
  </distributionManagement>
  <properties>
    <pkgVersion>2.11.0</pkgVersion>
    <servicemix.osgi.import.pkg>sun.io*;resolution:=optional,
          org.apache.xml.resolver*;version="[1.2,2)",
          javax.xml.datatype,
          javax.xml.namespace,
          javax.xml.parsers,
          javax.xml.stream,
          javax.xml.stream.events,
          javax.xml.transform,
          javax.xml.transform.dom,
          javax.xml.transform.sax,
          javax.xml.transform.stax,
          javax.xml.transform.stream,
          javax.xml.validation,
          org.w3c.dom*,
          org.xml.sax*</servicemix.osgi.import.pkg>
    <servicemix.osgi.export.pkg>org.apache.html*;version=${pkgVersion};-split-package:=merge-first,
          org.apache.wml*;version=${pkgVersion};-split-package:=merge-first,
          org.apache.xerces*;version=${pkgVersion};-split-package:=merge-first,
          org.apache.xml.serialize*;version=${pkgVersion};-split-package:=merge-first</servicemix.osgi.export.pkg>
    <pkgArtifactId>xercesImpl</pkgArtifactId>
    <servicemix.osgi.private.pkg>META-INF.services*</servicemix.osgi.private.pkg>
    <pkgGroupId>org.apache.xerces</pkgGroupId>
  </properties>
</project>

